Subject: bug#44983: Truncate long lines of grep output

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 29 Apr 2022 13:39:41 +0200

Juri Linkov <[email-masked]> writes:

> Maybe instead of using font-lock to hide long parts
> of grep lines, it would be better to do the same
> directly in compilation-filter/grep-filter?

I now have a rough patch that does this, but the problem is that even if
I splat a "..." display over the text, font-lock seems to insist on
going over the data anyway, so the display is still dog slow.

I thought I remembered there was a way to say to font-lock "ignore this
bit of the buffer", but I can't find it now.  Do I misremember?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no